"""https://github.com/harishragul/mpu6050-raspberry-pi-pico-library
#sample.py is a sample code to find the raw values
# Author Harish Ragul"""
#vector3d.py and imu.py inside lib folder
from imu import MPU6050
from time import sleep
from machine import Pin, I2C
import ssd1306
#MPU6050 connected to GP6, GP7
i2c = I2C(1, sda=Pin(6), scl=Pin(7), freq=400000)
imu = MPU6050(i2c)
#oled screen resolution
WIDTH = 128
HEIGHT = 64
oled=ssd1306.SSD1306_I2C(WIDTH, HEIGHT,i2c)
oled.fill(0)
oled.text("EU-Ballon ", 0, 0)
oled.text("Acceleration", 0, 15)
oled.text("Temperature ", 0, 30)
oled.text("Measurement ", 0, 40)
oled.text("Please wait.. ", 0, 50)
oled.show()
file=open("Accellog.CSV","a")
file.write("Measurement EU-Ballon MPU6050 sensor \n")
file.write("No"+ "\t"+"ax"+"\t"+"ay"+"\t"+"az"+"\t"+"temp C"+"\n")
file.flush()
no=1
sleep(2)
while True:
    #Read Accelerometer raw value
    accX = round(imu.accel.x,2)
    accY = round(imu.accel.y,2)
    accZ = round(imu.accel.z,2)
    temp=round(imu.temperature,1)
    print(accX,"\t",accY,"\t",accZ,"\t", temp)
    #long line splitted with \ character at the end
    file.write(str(no)+ "\t"+str(accX)+"\t"\
    +str(accY)+"\t"+str(accZ)+"\t"+str(temp)+"\n")
    #save to the file without closing file:
    file.flush()
    #time between measurements (2 seconds)
    oled.fill(0)
    oled.text("EU-Ballon logger", 0, 0)
    oled.text("AX:"+str(accX), 0, 10)
    oled.text("AY:"+str(accY), 0, 20)
    oled.text("AZ:"+str(accZ), 0, 30)
    oled.text("Temp:"+str(temp)+"C", 0, 40)
    oled.text("No:"+str(no), 0, 50)
    oled.show()
    no=no+1
    sleep(3)