from machine import I2C, Pin
from bme280 import BME280 
from time import sleep
import ssd1306

bus =I2C(1, scl=Pin(7),sda=Pin(6), freq=400000)
bme = BME280(i2c=bus, address=0x76)
file=open("presssuretemp.CSV","a")
file.write("Measurement EUBallon BME280 sensor \n")
file.write("No"+ "\t"+"temp.C"+"\t"+"pressure[hPa]"+"\t"+"hum.[%]"+"\n")
file.flush()
no=1
#oled screen resolution
WIDTH = 128
HEIGHT = 64
#Pinout for Raspberry Pi Pico-Oled screen and BME280 sensor
#connected to pin GP6(SDA) and GP7(SCL)
#both connected to the same BUS I2C
#variable oled assigned to oled screen
oled =ssd1306.SSD1306_I2C(WIDTH, HEIGHT,bus)
#clear screen
oled.fill(0)
oled.contrast(250)
print("temp. C, pressure [hPa],  humidity %")

while True:
    #You can select which parameters are plotted by Plotter 
    print(bme.values[0],bme.values[1],bme.values[2])
    file.write(str(no)+ "\t"+str(bme.values[0])+"\t"\
    +bme.values[1]+"\t"+str(bme.values[2])+"\n")
    no=no+1
    #save to the file without closing file:
    file.flush()
    
    oled.text("EU-ballon  No:"+str(no),0,0)
    oled.text("Temp C:"+bme.values[0],0,15)
    oled.text("Press[hPa]:"+bme.values[1],0,30)
    oled.text("Hum.[%]:"+bme.values[2],0,45)
    #and now drawing above lines- must use show method!
    oled.show()
    #time between measurements (2 seconds)
    sleep(5)
    oled.fill(0)
