#Adafruit library for SGP30 CO2 and TVOC sensor
#oled screen library:
import ssd1306
import adafruit_sgp30
from machine import I2C, Pin
from time import sleep
#screen resolution
WIDTH = 128
HEIGHT = 64

bus =I2C(1, scl=Pin(7),sda=Pin(6), freq=400000)
#SGP sensor and OLED screen connected to GP6(SDA Pin) and GP7(SCL Pin)
# variable sgp assigned to SGP30 sensor
sgp = adafruit_sgp30.Adafruit_SGP30(bus)
# variable oled assigned to OLED screen, initialisation
oled=ssd1306.SSD1306_I2C(WIDTH, HEIGHT,bus)
file=open("CO2TVOCresult.CSV","a")
file.write("Measurement EU-Ballon CO2 and TVOC sensor \n")
file.write("No"+ "\t"+"CO2"+"\t"+"TVOC"+"\n")
file.flush()
no=1
#clear screen:
oled.fill(0)
#maximum brightness contrast(255), usually more then 100
oled.contrast(254)
oled.text("EU-ballon",30,0)
oled.text("Air Quality",0,15)
oled.text("Measurement",0,30)
oled.show()
sleep(3)
oled.fill(0)
while True:
    co2eq, tvoc = sgp.iaq_measure()
    if co2eq == 400:
        print("initializing module, please wait!")
        oled.text("EU-ballon",30,0)
        oled.text("initializing...",0,15)
        oled.text("please wait!",0,30)
        oled.show()
        sleep(1)
        oled.fill(0)
    else:
        while True:
            try:
                co2eq, tvoc = sgp.iaq_measure()
                print("CO2 concentration = %d ppm \t TVOC = %d ppb" % (co2eq, tvoc))                
                oled.text("EUballon",0,0)
                oled.text("org. pollution",0,15)
                oled.text("CO2 ppm:"+str(co2eq),0,30)
                oled.text("TVOC ppb:"+str(tvoc),0,42)
                oled.show()
                file.write(str(no)+"\t"+str(co2eq)+"\t"+str(tvoc)+"\n")
                no=no+1
                #save to the file without closing file:
                file.flush()
                #delay before next reading in seconds:
                sleep(4)
                oled.fill(0)               
            except OSError as e:
                pass