# UV LTR390 Adafruit sensor with library modified by Pawel Boryczka
# based on library fromWaveshare (Pico Enviromental Sensor).
from time import sleep
from ltr390 import LTR390
from machine import Pin, I2C, ADC
import ssd1306
#screen resolution
WIDTH = 128
HEIGHT = 64
#Pinout for Raspberry Pi Pico-Oled screen and LTR390
#I2C Screen and sensor connected to GP6(SDA) and GP7(SCL)
i2c=I2C(1, scl=Pin(7), sda=Pin(6), freq=400000)
oled =ssd1306.SSD1306_I2C(WIDTH, HEIGHT,i2c)
#clear screen:

#maximum brightness contrast(255), usually more then 100
oled.contrast(250)
#variable assigned to LTR390
sensor = LTR390(i2c)
analog_value = ADC(1)
sleep(1)
file=open("UVvolt.CSV","a")
file.write("Measurement EU-Ballon UV LTR390 sensor \n")
file.write("No"+ "\t"+"UV"+"\t"+"mvolt"+"\n")
file.flush()
no=1
oled.fill(0)
while True:
    UVS = sensor.UVS()
    sleep(2)
    sensor_raw = analog_value.read_u16()
    voltage=round(sensor_raw/65535*3300,0)
    print(voltage)
    sleep(2)
    #print in consola:
    print(" UVS:",UVS )
    oled.text("EU-ballon",30,0)
    oled.text("UV index:"+str(UVS),0,16)
    oled.text("mVolt."+str(voltage),0,35)
    oled.text("No:"+str(no),0,50)
    oled.show()
    file.write(str(no)+ "\t"+str(UVS)+"\t"+str(voltage)+"\n")
    no=no+1
    #save to the file without closing file:
    file.flush()
    sleep(2)
    oled.fill(0)
